function showHCate(obj)
{
	spanObjs = obj.parentNode.parentNode.parentNode.getElementsByTagName("li");
	sum      = spanObjs.length;
	if (document.getElementById('show_all').className == 'class-name-btn1')
	{
		document.getElementById('show_all').className = '';
		for(i=0;i<sum;i++)
		{
			if(i > 15)
			{
				spanObjs[i].className = "spanhidden";
			}
		}
	}
	else
	{
		for(i=0;i<sum;i++)
		{
			if(spanObjs[i].className == "spanhidden")
			{
				spanObjs[i].className = "";
			}
		}
		obj.className = "spanhidden";
		document.getElementById('show_all').className = 'class-name-btn1';
	}
}


function showul(ulclsname,liclsname,showmorename,layername)
{
	var disp;
	if(null == layername)
	layername = "showlayer";
	var showmore = document.getElementById(showmorename);
	var Lshow = document.getElementById(layername);
	if(showmore)
	{
		if(showmore.className == "showmore")
		{
	        Lshow.innerHTML = "<A  style=\"cursor:pointer;color:#FF0000;\" onmouseover=this.style.textDecoration='underline'   onmouseout=this.style.textDecoration='' onclick=\"showul('"+ulclsname+"','more','"+showmorename+"','"+layername+ 
	                    "');Logger('classbrief_" + layername  + "');\"><font color=#FF0000>&lt;&lt;简洁显示</font></A>&nbsp;";
	        showmore.className = "showless";
			disp = "block";
		}
		else
		{
			Lshow.innerHTML = "<A  style=\"cursor:pointer;color:#FF0000;\" onmouseover=this.style.textDecoration='underline' onmouseout=this.style.textDecoration=''  onclick=\"showul('"+ulclsname+"','more','"+showmorename+"','"+layername+"');Logger('classmore_" + layername  + "');\"><font color=#FF0000>更多&gt;&gt;</font></A>";
			showmore.className = "showmore";
			disp = "none";
		}
	}
	for(var i=1;i<=6;i++)
	{
	    var cds=document.getElementById("showclass"+i);	
	    if(("showlayer"+i!=layername) && cds != null){
	        var checkShow=document.getElementById("showlayer"+i);
	        if (checkShow!=null)
	        {
	        	checkShow.innerHTML = "<A style=cursor:pointer;color:#FF0000; onmouseover=this.style.textDecoration='underline' onmouseout=this.style.textDecoration='' onclick=\"showul('showclass"+i+"','more','lshowmore"+i+"','showlayer"+i+"','"+3+ "');Logger('classmore_" + layername  + "');\"><font color=#FF0000>更多&gt;&gt;</font></A>";
		    }	       
	        for (var j=0; j< cds.childNodes.length; j++)
	        {
	            var chis=cds.childNodes.item(j);
	            if (chis && (chis.tagName == 'li' || chis.tagName == 'LI') && chis.className && chis.className == liclsname)
	            {
	                chis.style.display="none";
	                document.getElementById("lshowmore"+i).className = "showmore";
	            }
	        }
	    }
	}
	var es = document.getElementById(ulclsname);
	for (var j = 0; j < es.childNodes.length; j++) {
		var child = es.childNodes.item(j);
		if (child && (child.tagName == 'li' || child.tagName == 'LI') && child.className && child.className == liclsname)child.style.display=disp;
	}
}